.field--name-field-imagenes .lightgallery__items {
  display: grid;
  grid-template-columns: repeat(12, 1fr);
  grid-auto-rows: 100px;
  gap: 15px;
  margin: 15px;
}

.field--name-field-imagenes .lightgallery__item {
  position: relative;
  cursor: pointer;
}

.field--name-field-imagenes .lightgallery__item img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
  border-radius: 12px;
  transition:
    transform 0.4s ease,
    opacity 0.3s ease,
    box-shadow 0.4s ease;
}
.field--name-field-imagenes .lightgallery__item img:hover {
  transform: translateY(-15px);
  opacity: 1;
  border-radius: 12px;
}
.field--name-field-imagenes .lightgallery__item:nth-child(1) {
  grid-column: span 2;
  grid-row: span 3;
}

.field--name-field-imagenes .lightgallery__item:nth-child(2) {
  grid-column: span 4;
  grid-row: span 3;
}

.field--name-field-imagenes .lightgallery__item:nth-child(3) {
  grid-column: span 3;
  grid-row: span 3;
}

.field--name-field-imagenes .lightgallery__item:nth-child(4) {
  grid-column: span 3;
  grid-row: span 3;
}

.field--name-field-imagenes .lightgallery__item:nth-child(5) {
  grid-column: span 3;
  grid-row: span 3;
}

.field--name-field-imagenes .lightgallery__item:nth-child(6) {
  grid-column: span 2;
  grid-row: span 3;
}

.field--name-field-imagenes .lightgallery__item:nth-child(7) {
  grid-column: span 3;
  grid-row: span 3;
}

.field--name-field-imagenes .lightgallery__item:nth-child(8) {
  grid-column: span 3;
  grid-row: span 3;
}

.field--name-field-imagenes .lightgallery__item:nth-child(9) {
  grid-column: span 1;
  grid-row: span 3;
}

@media (max-width: 768px) {
  .field--name-field-imagenes .lightgallery__items {
    grid-template-columns: repeat(2, 1fr);
    grid-auto-rows: 200px;
  }

  .field--name-field-imagenes .lightgallery__item {
    grid-column: span 1 !important;
    grid-row: span 1 !important;
  }
}
